# DeletedBot

[![Go Report Card](https://goreportcard.com/badge/git.massivebox.net/massivebox/deletedbot)](https://goreportcard.com/report/git.massivebox.net/massivebox/deletedbot)

This is the source code of DeletedBot, the free online tool that helps you set a basic status page explaining your users why your Telegram bot is suspended or in maintenance.

It uses the Go Gin server and a SQLite database.

### Configuration

DeletedBot can be configured with environment variables. You can pass them directly or in a `.env` file with the format `KEY=value` .
Any variable without a default value is required to be set.

| Key            | Default Value                                    | Explaination                                                 |
| -------------- | ------------------------------------------------ | ------------------------------------------------------------ |
| DB_PATH        | db.sqlite                                        | Path of the SQLite database. Will be created if the file doesn't exist. |
| ADMIN_USERNAME |                                                  | The username required to access the API endpoints for admins. |
| ADMIN_PASSWORD |                                                  | The password required to log into the API endpoints for admins. |
| HOST           | 0.0.0.0                                          | The host on which the HTTP server will serve on.             |
| PORT           | 8080                                             | The port on which the HTTP server will serve on.             |
| WEBHOOK_DOMAIN |                                                  | The domain on which your DeletedBot instance will be accessible. HTTPs must be enabled for it. Insert the domain without other parts, like `deletedbot.eu.org`. |
| REPO_URL       | https://git.massivebox.net/massivebox/deletedbot | URL to the source code repository, will be shown in the frontend. |
| DEMO_BOT_URL   | https://t.me/DeletedBotDemoBot                   | URL to the demo bot, will be shown in the frontend.          |
| PRIVACY_URL    | privacy                                          | Edit the URL of the privacy policy. If the default is set, it will lead to the `/privacy` page, which you can customize by editing `frontend/templates/privacy.html`. |
| TERMS_URL      | terms                                            | Edit the URL of the terms of service. If the default is set, it will lead to the `/terms` page, which you can customize by editing `frontend/templates/terms.html`. |
